can't build dependencies - fails while copying license?

asked 2016-05-23 08:25:21 -0600

FTUB gravatar image

Im trying to install ROS on a MacBook OS X El Capitan, 10.11.5. Im strictly following the installation guide's advices ( http://wiki.ros.org/jade/Installation... ) but always fail when it comes to "resolving dependencies" (Chapter 2.1.2):

When I do

rosdep install --from-paths src --ignore-src --rosdistro jade -y

this error occurs

executing command [sudo -H pip install -U pydot]
Downloading/unpacking pydot
  Running setup.py egg_info for package pydot
    Could´t import dot_parser, loading of dot files will not be possible.

Downloading/unpacking pyparsing==1.5.7 (from pydot)
  Running setup.py egg_info for package pyparsing

Installing collected packages: pydot, pyparsing
  Running setup.py install for pydot
    Couldn´t import dot_parser, loading of dot files will not be possible.
    error: [Errno 1] Operation not permitted: '/System/Library/Frameworks/Python.framework/Versions/2.7/./LICENSE'
    Complete output from command /usr/bin/python -c "import setuptools;__file__='/tmp/pip-build/pydot/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-vIj42V-record/install-record.txt --single-version-externally-managed:
    Couldn´t import dot_parser, loading of dot files will not be possible.

[ ... ] and a few lines later:

copying LICENSE -> /System/Library/Frameworks/Python.framework/Versions/2.7/.

error: [Errno 1] Operation not permitted: '/System/Library/Frameworks/Python.framework/Versions/2.7/./LICENSE'

----------------------------------------
Command /usr/bin/python -c "import setuptools;__file__='/tmp/pip-build/pydot/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-vIj42V-record/install-record.txt --single-version-externally-managed failed with error code 1 in /tmp/pip-build/pydot
Storing complete log in /var/root/Library/Logs/pip.log
ERROR: the following rosdeps failed to install
  pip: command [sudo -H pip install -U pydot] failed

What is the problem? Im a beginner to ROS and have no clue how to solve this.

edit retag flag offensive close merge delete

Comments

Based on the output, this command sudo -H pip install -U pydot is not working. If you cannot run that yourself and have it succeed then that is the issue. I do not believe this is a generic ROS issue, but rather a new issue that has come up with pydot.

William gravatar image William  ( 2016-05-23 12:44:08 -0600 )edit

I'd suggest broadening your search for a solution to include the pydot issue tracker or stack overflow.

If you find a solution, please post a link here. In case others come up on this issue.

William gravatar image William  ( 2016-05-23 12:44:19 -0600 )edit